Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.conn
Class PoolingClientAsyncConnectionManager

    java.lang.Object
      org.apache.http.impl.nio.conn.PoolingClientAsyncConnectionManager

All Implemented Interfaces:
  ClientAsyncConnectionManager, org.apache.http.nio.reactor.IOReactor, org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>

Deprecated.

    @Deprecated
    public class PoolingClientAsyncConnectionManager

extends Object
implements ClientAsyncConnectionManager, org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>

Constructor Summary
`PoolingClientAsyncConnectionManager(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor)` Deprecated.
`PoolingClientAsyncConnectionManager(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor, AsyncSchemeRegistry schemeRegistry)` Deprecated.
`PoolingClientAsyncConnectionManager(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor, AsyncSchemeRegistry schemeRegistry, long timeToLive, TimeUnit timeUnit)` Deprecated.

Method Summary
`void` | `closeExpiredConnections()` Deprecated.
`void` | `closeIdleConnections(long idleTimeout, TimeUnit timeUnit)` Deprecated.
`protected ClientAsyncConnectionFactory` | `createClientAsyncConnectionFactory()` Deprecated.
`void` | `execute(org.apache.http.nio.reactor.IOEventDispatch eventDispatch)` Deprecated.
`protected void` | `finalize()` Deprecated.
`int` | `getDefaultMaxPerRoute()` Deprecated.
`int` | `getMaxPerRoute(org.apache.http.conn.routing.HttpRoute route)` Deprecated.
`int` | `getMaxTotal()` Deprecated.
`AsyncSchemeRegistry` | `getSchemeRegistry()` Deprecated.
`org.apache.http.pool.PoolStats` | `getStats(org.apache.http.conn.routing.HttpRoute route)` Deprecated.
`org.apache.http.nio.reactor.IOReactorStatus` | `getStatus()` Deprecated.
`org.apache.http.pool.PoolStats` | `getTotalStats()` Deprecated.
`Future<ManagedClientAsyncConnection>` | `leaseConnection(org.apache.http.conn.routing.HttpRoute route, Object state, long connectTimeout, TimeUnit timeUnit, org.apache.http.concurrent.FutureCallback<ManagedClientAsyncConnection> callback)` Deprecated.
`void` | `releaseConnection(ManagedClientAsyncConnection conn, long keepalive, TimeUnit timeUnit)` Deprecated.
`void` | `setDefaultMaxPerRoute(int max)` Deprecated.
`void` | `setMaxPerRoute(org.apache.http.conn.routing.HttpRoute route, int max)` Deprecated.
`void` | `setMaxTotal(int max)` Deprecated.
`void` | `shutdown()` Deprecated.
`void` | `shutdown(long waitMs)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolingClientAsyncConnectionManager

    public PoolingClientAsyncConnectionManager(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor,
                                               AsyncSchemeRegistry schemeRegistry,
                                               long timeToLive,
                                               TimeUnit timeUnit)

  Deprecated.

### PoolingClientAsyncConnectionManager

    public PoolingClientAsyncConnectionManager(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor,
                                               AsyncSchemeRegistry schemeRegistry)
                                        throws org.apache.http.nio.reactor.IOReactorException

  Deprecated.
  Throws:
    `org.apache.http.nio.reactor.IOReactorException`

### PoolingClientAsyncConnectionManager

    public PoolingClientAsyncConnectionManager(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor)
                                        throws org.apache.http.nio.reactor.IOReactorException

  Deprecated.
  Throws:
    `org.apache.http.nio.reactor.IOReactorException`

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  Deprecated.
  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### createClientAsyncConnectionFactory

    protected ClientAsyncConnectionFactory createClientAsyncConnectionFactory()

  Deprecated.

### getSchemeRegistry

    public AsyncSchemeRegistry getSchemeRegistry()

  Deprecated.
  Specified by:
    `getSchemeRegistry` in interface `ClientAsyncConnectionManager`

### execute

    public void execute(org.apache.http.nio.reactor.IOEventDispatch eventDispatch)
                 throws IOException

  Deprecated.
  Specified by:
    `execute` in interface `org.apache.http.nio.reactor.IOReactor`
  Throws:
    `IOException`

### getStatus

    public org.apache.http.nio.reactor.IOReactorStatus getStatus()

  Deprecated.
  Specified by:
    `getStatus` in interface `org.apache.http.nio.reactor.IOReactor`

### shutdown

    public void shutdown(long waitMs)
                  throws IOException

  Deprecated.
  Specified by:
    `shutdown` in interface `org.apache.http.nio.reactor.IOReactor`
  Throws:
    `IOException`

### shutdown

    public void shutdown()
                  throws IOException

  Deprecated.
  Specified by:
    `shutdown` in interface `org.apache.http.nio.reactor.IOReactor`
  Throws:
    `IOException`

### leaseConnection

    public Future<ManagedClientAsyncConnection> leaseConnection(org.apache.http.conn.routing.HttpRoute route,
                                                                Object state,
                                                                long connectTimeout,
                                                                TimeUnit timeUnit,
                                                                org.apache.http.concurrent.FutureCallback<ManagedClientAsyncConnection> callback)

  Deprecated.
  Specified by:
    `leaseConnection` in interface `ClientAsyncConnectionManager`

### releaseConnection

    public void releaseConnection(ManagedClientAsyncConnection conn,
                                  long keepalive,
                                  TimeUnit timeUnit)

  Deprecated.
  Specified by:
    `releaseConnection` in interface `ClientAsyncConnectionManager`

### getTotalStats

    public org.apache.http.pool.PoolStats getTotalStats()

  Deprecated.
  Specified by:
    `getTotalStats` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### getStats

    public org.apache.http.pool.PoolStats getStats(org.apache.http.conn.routing.HttpRoute route)

  Deprecated.
  Specified by:
    `getStats` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### setMaxTotal

    public void setMaxTotal(int max)

  Deprecated.
  Specified by:
    `setMaxTotal` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### setDefaultMaxPerRoute

    public void setDefaultMaxPerRoute(int max)

  Deprecated.
  Specified by:
    `setDefaultMaxPerRoute` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### setMaxPerRoute

    public void setMaxPerRoute(org.apache.http.conn.routing.HttpRoute route,
                               int max)

  Deprecated.
  Specified by:
    `setMaxPerRoute` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### getMaxTotal

    public int getMaxTotal()

  Deprecated.
  Specified by:
    `getMaxTotal` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### getDefaultMaxPerRoute

    public int getDefaultMaxPerRoute()

  Deprecated.
  Specified by:
    `getDefaultMaxPerRoute` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### getMaxPerRoute

    public int getMaxPerRoute(org.apache.http.conn.routing.HttpRoute route)

  Deprecated.
  Specified by:
    `getMaxPerRoute` in interface `org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>`

### closeIdleConnections

    public void closeIdleConnections(long idleTimeout,
                                     TimeUnit timeUnit)

  Deprecated.

### closeExpiredConnections

    public void closeExpiredConnections()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.